/*******************************************************************************
 * FoxHudUI_SND generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxHudUI_SND extends FoxHudUI_TDM within FoxUI
    native(HUD)
    config(HUD);

var const localized array<localized string> GameplayDetailAttack;
var const localized array<localized string> GameplayDetailDefend;
var const localized string LocStringDropBomb;
var const localized string LocStringPlantBomb;
var const localized string LocStringDefuseBomb;
var const localized string LocOffenseTeamName;
var const localized string LocDefenseTeamName;
var const localized string LocStringBombDefusalInProgress;
var GFxObject BombTimerCountdown;
var() const config HudWidget BombTimerWidget;

function SetupGameTypeWidget()
{
    // End:0x38
    if(OnAttackingTeam())
    {
        AddGameTypeWidget("TDM", 0, LocDefenseTeamName, LocOffenseTeamName, "S+D");
    }
    // End:0x60
    else
    {
        AddGameTypeWidget("TDM", 0, LocOffenseTeamName, LocDefenseTeamName, "S+D");
    }
    //return;    
}

simulated function bool OnAttackingTeam()
{
    return Outer.PCOwner.PlayerReplicationInfo.Team.TeamIndex == class'FoxGameMP_SND'.default.AttackingTeamIndex;
    //return ReturnValue;    
}

function array<string> GetGameplayDetailStrings()
{
    // End:0x1A
    if(OnAttackingTeam())
    {
        return GameplayDetailAttack;
    }
    // End:0x24
    else
    {
        return GameplayDetailDefend;
    }
    //return ReturnValue;    
}

event CreateBombTimer()
{
    local GFxObject AttachObject;

    // End:0x123
    if(BombTimerCountdown == none)
    {
        AttachObject = Outer.GetVariableObject("_root.gametypeWidgetName");
        // End:0x123
        if(AttachObject != none)
        {
            BombTimerCountdown = AttachObject.AttachMovieClip("w_gametypeTimer", "BombTimer");
            Outer.Advance(0.0);
            BombTimerCountdown.SetPosition(BombTimerWidget.X, BombTimerWidget.Y);
        }
    }
    //return;    
}

event DestroyBombTimer()
{
    // End:0x39
    if(BombTimerCountdown != none)
    {
        BombTimerCountdown.RemoveMovieClip();
        BombTimerCountdown = none;
    }
    //return;    
}

defaultproperties
{
    GameplayDetailAttack(0)="Offense team must plant the bomb before the time runs out"
    GameplayDetailDefend(0)="Defense team must stop the bomb from being planted"
    LocStringDropBomb="Drop Bomb"
    LocStringPlantBomb="Plant Bomb"
    LocStringDefuseBomb="Defuse Bomb"
    LocOffenseTeamName="OFFENSE"
    LocDefenseTeamName="DEFENSE"
    LocStringBombDefusalInProgress="Teammate is defusing bomb"
    BombTimerWidget=(X=0.0,Y=-60.0,FOV=0.0,XRot=0.0,YRot=0.0,Opacity=100.0,DispTime=0.0,Scale=100.0,ClassName="")
}